/* Photocell simple testing sketch. 
 
 Connect one end of the photocell to 5V, the other end to Analog 0.
 Then connect one end of a 10K resistor from Analog 0 to ground
 
 For more information see www.ladyada.net/learn/sensors/cds.html */

int photocellPin = 0;     // the cell and 10K pulldown are connected to a0
int photocellReading;     // the analog reading from the analog resistor divider

void setup(void) {
  // We'll send debugging information via the Serial monitor
  Serial.begin(9600);   
}

void loop(void) {
  int val = map(analogRead(photocellPin), 0, 1023, 0, 255);

  //send the reading over serial to processing
  Serial.println(val);    

  // We'll have a few threshholds, qualitatively determined
  if (photocellReading < 10) {
    Serial.println(" - Dark");
  } 
  else if (photocellReading < 200) {
    Serial.println(" - Dim");
  } 
  else if (photocellReading < 500) {
    Serial.println(" - Light");
  } 
  else if (photocellReading < 800) {
    Serial.println(" - Bright");
  } 
  else {
    Serial.println(" - Very bright");
  }
  delay(1000);
}


